Class Specialization
Projection
Represents the PROJECTION algorithm of Buhler and Tompa.

MotifFinder

Projection

MotifFinder<TValue, Projection>
Include Headers
seqan/find_motif.h
Parameters

TValue | The type of sequences to be analyzed. Types: AminoAcid, Dna

Remarks
The Projection algorithm is a heuristic algorithm that does not guarantee that the unknown motif will be found every time. We can increase the chance of success by performing a large number of independent trials to generate multiple guesses. In each trial, Projection makes a preselection of sets of length-l patterns called l-mers which are likely to be a collection of motif instances (filtering step) and refines them by some local searching techniques, e.g. EM algorithm, Gibbs Sampling etc (refinement step).
Specialization of
MotifFinder
Metafunctions

Value | Type of the items in the container. (MotifFinder)

Functions

displayResult | Displays all found motif candidates. In the case of the Projection Motif Finder the function displays the consensus pattern of the found motif candidate. (MotifFinder)
findMotif | Represents the main function which is used to start the search for noticeable motif patterns. (MotifFinder)
getMotif | Gets the motif out of a MotifFinder. If pos is given, the pos-th motif is returned, otherwise the first motif is returned. (MotifFinder)
motifCount | Gets number of motifs in the MotifFinder. (MotifFinder)

Example Programs
Motif Finder
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:51